Skip to main content

Update advertiser's API access

PATCH 
/v1/account/apiaccess

Blocks or activates advertiser API access. Use to restore access after a usage policy block.

Set apiAccessStatus to ACTIVE or BLOCKED. Changes take 24 hours to take effect.

Advertisers who activate access are subject to the usage policy. To check quota usage, see Get advertiser's API quota usage.

Set content type to application/json.

OAuth scopeAccess token type
employer.advertising.account

Access token that represents an employer. See Get access token that represents employer.

Request

Body

required

    apiAccessStatus string

    Possible values: [ACTIVE, BLOCKED]

    Advertiser API access. Valid values are:

    • ACTIVE : Activates advertiser's access to API.
    • BLOCKED : Blocks advertiser's access to API.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Any errors that prevented successful processing of the request. If there were no errors, the value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page. The value may be smaller than the maximum you requested with the perPage parameter. If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.
    • next: The next page of entries in a paginated result.
    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource. Can contain query string parameters. To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    apiAccessStatus string

    Possible values: [ACTIVE, BLOCKED]

    Advertiser API access. Valid values are:

    • ACTIVE : Activates advertiser's access to API.
    • BLOCKED : Blocks advertiser's access to API.
    employerId string
Loading...

Was this page helpful?